com.ihr.xbrl.versioning

## Class Assignment

- java.lang.Object
- - com.ihr.xbrl.versioning.Assignment

-     public class Assignment
      extends java.lang.Object

  This class contains data related to an assignment in a versioning report.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Assignment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addAction(Action ac)` Adds the action.
    `void` | `addText(java.lang.String text)` Adds the text.
    `void` | `delText(int index)` Del text.
    `java.util.Iterator<Action>` | `getActions()` Gets the actions.
    `java.lang.String` | `getNodeName()` Gets the node name.
    `java.util.Iterator<java.lang.String>` | `getText()` Gets the text.
    `void` | `insertElementAt(Action action, int index)` Insert element at.
    `boolean` | `isBusiness()` Checks if is business.
    `boolean` | `isErratum()` Checks if is erratum.
    `boolean` | `isTechnical()` Checks if is technical.
    `boolean` | `remove(Action ac)` Removes the.
    `Action` | `remove(int i)` Removes the.
    `void` | `removeAllTexts()` Removes the all texts.
    `void` | `setBusiness(boolean newValue)` Sets the business.
    `void` | `setErratum(boolean newValue)` Sets the erratum.
    `void` | `setNodeName(java.lang.String nodeName)` Sets the node name.
    `void` | `setTechnical(boolean newValue)` Sets the technical.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Assignment

          public Assignment()

  - ### Method Detail

    - #### addText

          public void addText(java.lang.String text)

      Adds the text.
      Parameters:
        `text` - the text

    - #### delText

          public void delText(int index)

      Del text.
      Parameters:
        `index` - the index

    - #### getText

          public java.util.Iterator<java.lang.String> getText()

      Gets the text.
      Returns:
        the text

    - #### getNodeName

          public java.lang.String getNodeName()

      Gets the node name.
      Returns:
        the node name

    - #### setNodeName

          public void setNodeName(java.lang.String nodeName)

      Sets the node name.
      Parameters:
        `nodeName` - the new node name

    - #### setBusiness

          public void setBusiness(boolean newValue)

      Sets the business.
      Parameters:
        `newValue` - the new business

    - #### isBusiness

          public boolean isBusiness()

      Checks if is business.
      Returns:
        true, if is business

    - #### setTechnical

          public void setTechnical(boolean newValue)

      Sets the technical.
      Parameters:
        `newValue` - the new technical

    - #### isTechnical

          public boolean isTechnical()

      Checks if is technical.
      Returns:
        true, if is technical

    - #### setErratum

          public void setErratum(boolean newValue)

      Sets the erratum.
      Parameters:
        `newValue` - the new erratum

    - #### isErratum

          public boolean isErratum()

      Checks if is erratum.
      Returns:
        true, if is erratum

    - #### getActions

          public java.util.Iterator<Action> getActions()

      Gets the actions.
      Returns:
        the actions

    - #### remove

          public boolean remove(Action ac)

      Removes the.
      Parameters:
        `ac` - the ac
      Returns:
        true, if successful

    - #### remove

          public Action remove(int i)

      Removes the.
      Parameters:
        `i` - the i
      Returns:
        the action

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### addAction

          public boolean addAction(Action ac)

      Adds the action.
      Parameters:
        `ac` - the ac
      Returns:
        true, if successful

    - #### insertElementAt

          public void insertElementAt(Action action,
                             int index)

      Insert element at.
      Parameters:
        `action` - the action
        `index` - the index

    - #### removeAllTexts

          public void removeAllTexts()

      Removes the all texts.